PDA

View Full Version : [Ext 3.1] Error rendering after upgrading from 3.0 to 3.1



ChrnoLove
27 Dec 2009, 7:18 PM
I have an issue with rendering the form component after upgrading from 3.0 to 3.1, can any1 help plzzzz???

The component like DateField or Combobox cannot render the trigger button, i checked and everything is correct like before but i dont know how to fix this!!!

This is just a simple code i wrote for the test



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title></title>
<link href="js/ext-js/resources/css/ext-all.css" rel="stylesheet" type="text/css" />
<script src="js/ext-js/adapter/ext/ext-base.js" type="text/javascript"></script>
<script src="js/ext-js/ext-all.js" type="text/javascript"></script>

<script type="text/javascript">
Ext.BLANK_IMAGE_URL = "js/ext-js/resources/images/default/s.gif";
Ext.onReady(function()
{
var datefield = new Ext.form.DateField({
allowBlank: false, readOnly: true, renderTo: "fff"
});
});
</script>
</head>
<body>
<form id="form1" runat="server">
<div id="fff">

</div>
</form>
</body>
</html>

I'm just new

Ths in advance

ChrnoLove
27 Dec 2009, 8:14 PM
How to delete this thread lol? sry 4 my stupid, i found out that Ext 3.1 when using the readOnly property, it mean the trigger will hide too, instead of using readOnly i will use editable lol :D

Ths for supporting...

Have fun and Merry Christmas!!!

Condor
27 Dec 2009, 11:54 PM
You can delete a thread by selecting Edit -> Go Advanced -> Delete Message.

But I would recommend not deleting this thread. You may feel stupid, but why not keep this thread to help other users not make the same mistake.